Manifest-Version: 1.0
Bnd-LastModified: 1729073469469
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Headless Commerce Admin Inventory Implementation
Bundle-SymbolicName: com.liferay.headless.commerce.admin.inventory.imp
 l
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.36.hotfix-6115-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.commerce.exception;version="5.6",com.lifer
 ay.commerce.inventory.exception;version="1.4",com.liferay.commerce.in
 ventory.model;version="6.1",com.liferay.commerce.inventory.service;ve
 rsion="10.0",com.liferay.commerce.model;version="12.2",com.liferay.co
 mmerce.product.exception;version="8.2",com.liferay.commerce.product.m
 odel;version="19.0",com.liferay.commerce.product.service;version="29.
 1",com.liferay.commerce.service;version="26.0",com.liferay.headless.c
 ommerce.admin.inventory.dto.v1_0;version="3.0",com.liferay.headless.c
 ommerce.admin.inventory.resource.v1_0;version="4.0",com.liferay.headl
 ess.commerce.core.exception.mapper;version="1.2",com.liferay.headless
 .commerce.core.util;version="1.2",com.liferay.petra.function;version=
 "1.5",com.liferay.portal.kernel.log;version="7.1",com.liferay.portal.
 kernel.model;version="22.0",com.liferay.portal.kernel.search;version=
 "14.0",com.liferay.portal.kernel.search.filter;version="1.0",com.life
 ray.portal.kernel.security.auth;version="5.0",com.liferay.portal.kern
 el.security.permission;version="6.2",com.liferay.portal.kernel.securi
 ty.permission.resource;version="2.1",com.liferay.portal.kernel.servic
 e;version="17.0",com.liferay.portal.kernel.util;version="41.0",com.li
 feray.portal.odata.entity;version="2.0",com.liferay.portal.odata.filt
 er;version="1.1",com.liferay.portal.odata.filter.expression;version="
 2.1",com.liferay.portal.profile,com.liferay.portal.vulcan.accept.lang
 uage;version="1.1",com.liferay.portal.vulcan.batch.engine;version="2.
 0",com.liferay.portal.vulcan.batch.engine.resource;version="1.0",com.
 liferay.portal.vulcan.dto.converter;version="1.8",com.liferay.portal.
 vulcan.fields;version="1.5",com.liferay.portal.vulcan.graphql.annotat
 ion;version="1.2",com.liferay.portal.vulcan.graphql.servlet;version="
 1.1",com.liferay.portal.vulcan.pagination;version="1.4",com.liferay.p
 ortal.vulcan.resource;version="1.3",com.liferay.portal.vulcan.util;ve
 rsion="3.5",io.swagger.v3.oas.annotations;version="2.0",io.swagger.v3
 .oas.annotations.enums;version="2.0",io.swagger.v3.oas.annotations.in
 fo;version="2.0",io.swagger.v3.oas.annotations.tags;version="2.0",jav
 ax.servlet.http,javax.validation.constraints;version="2.0",javax.ws.r
 s;version="2.1",javax.ws.rs.core;version="2.1",javax.ws.rs.ext;versio
 n="2.1",org.osgi.framework;version="1.8",org.osgi.service.component;v
 ersion="1.4"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Enterprise-App: product.id=9a473157-06a6-44b6-b017-a360ffaf5f3
 8
Liferay-Releng-App-Title: Liferay Commerce
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: commerce
Liferay-Releng-Suite-Description: This suite is available in the Lifer
 ay bundle.
Liferay-Releng-Suite-Title: Liferay Commerce
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.headless.commerce.admin.inventory.interna
 l.dto.v1_0,com.liferay.headless.commerce.admin.inventory.internal.gra
 phql.mutation.v1_0,com.liferay.headless.commerce.admin.inventory.inte
 rnal.graphql.query.v1_0,com.liferay.headless.commerce.admin.inventory
 .internal.graphql.servlet.v1_0,com.liferay.headless.commerce.admin.in
 ventory.internal.jaxrs.application,com.liferay.headless.commerce.admi
 n.inventory.internal.jaxrs.exception.mapper,com.liferay.headless.comm
 erce.admin.inventory.internal.odata.entity.v1_0,com.liferay.headless.
 commerce.admin.inventory.internal.resource.v1_0,com.liferay.headless.
 commerce.admin.inventory.internal.resource.v1_0.factory,com.liferay.h
 eadless.commerce.admin.inventory.internal.security.permission,com.lif
 eray.headless.commerce.admin.inventory.impl.internal.portal.profile
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .headless.commerce.admin.inventory.internal.dto.v1_0.ChannelDTOConver
 ter,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:="com.
 liferay.headless.commerce.admin.inventory.internal.dto.v1_0,com.lifer
 ay.portal.vulcan.dto.converter",osgi.service;objectClass:List<String>
 ="com.liferay.headless.commerce.admin.inventory.internal.dto.v1_0.Ord
 erTypeDTOConverter,com.liferay.portal.vulcan.dto.converter.DTOConvert
 er";uses:="com.liferay.headless.commerce.admin.inventory.internal.dto
 .v1_0,com.liferay.portal.vulcan.dto.converter",osgi.service;objectCla
 ss:List<String>="com.liferay.headless.commerce.admin.inventory.intern
 al.dto.v1_0.ReplenishmentItemDTOConverter,com.liferay.portal.vulcan.d
 to.converter.DTOConverter";uses:="com.liferay.headless.commerce.admin
 .inventory.internal.dto.v1_0,com.liferay.portal.vulcan.dto.converter"
 ,osgi.service;objectClass:List<String>="com.liferay.headless.commerce
 .admin.inventory.internal.dto.v1_0.WarehouseChannelDTOConverter,com.l
 iferay.portal.vulcan.dto.converter.DTOConverter";uses:="com.liferay.h
 eadless.commerce.admin.inventory.internal.dto.v1_0,com.liferay.portal
 .vulcan.dto.converter",osgi.service;objectClass:List<String>="com.lif
 eray.headless.commerce.admin.inventory.internal.dto.v1_0.WarehouseDTO
 Converter,com.liferay.portal.vulcan.dto.converter.DTOConverter";uses:
 ="com.liferay.headless.commerce.admin.inventory.internal.dto.v1_0,com
 .liferay.portal.vulcan.dto.converter",osgi.service;objectClass:List<S
 tring>="com.liferay.headless.commerce.admin.inventory.internal.dto.v1
 _0.WarehouseItemDTOConverter,com.liferay.portal.vulcan.dto.converter.
 DTOConverter";uses:="com.liferay.headless.commerce.admin.inventory.in
 ternal.dto.v1_0,com.liferay.portal.vulcan.dto.converter",osgi.service
 ;objectClass:List<String>="com.liferay.headless.commerce.admin.invent
 ory.internal.dto.v1_0.WarehouseOrderTypeDTOConverter,com.liferay.port
 al.vulcan.dto.converter.DTOConverter";uses:="com.liferay.headless.com
 merce.admin.inventory.internal.dto.v1_0,com.liferay.portal.vulcan.dto
 .converter",osgi.service;objectClass:List<String>="com.liferay.headle
 ss.commerce.admin.inventory.internal.resource.v1_0.OpenAPIResourceImp
 l";uses:="com.liferay.headless.commerce.admin.inventory.internal.reso
 urce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headles
 s.commerce.admin.inventory.resource.v1_0.ChannelResource$Factory";use
 s:="com.liferay.headless.commerce.admin.inventory.resource.v1_0",osgi
 .service;objectClass:List<String>="com.liferay.headless.commerce.admi
 n.inventory.resource.v1_0.ChannelResource,com.liferay.portal.vulcan.f
 ields.NestedFieldSupport";uses:="com.liferay.headless.commerce.admin.
 inventory.resource.v1_0,com.liferay.portal.vulcan.fields",osgi.servic
 e;objectClass:List<String>="com.liferay.headless.commerce.admin.inven
 tory.resource.v1_0.OrderTypeResource$Factory";uses:="com.liferay.head
 less.commerce.admin.inventory.resource.v1_0",osgi.service;objectClass
 :List<String>="com.liferay.headless.commerce.admin.inventory.resource
 .v1_0.OrderTypeResource,com.liferay.portal.vulcan.fields.NestedFieldS
 upport";uses:="com.liferay.headless.commerce.admin.inventory.resource
 .v1_0,com.liferay.portal.vulcan.fields",osgi.service;objectClass:List
 <String>="com.liferay.headless.commerce.admin.inventory.resource.v1_0
 .ReplenishmentItemResource";uses:="com.liferay.headless.commerce.admi
 n.inventory.resource.v1_0",osgi.service;objectClass:List<String>="com
 .liferay.headless.commerce.admin.inventory.resource.v1_0.Replenishmen
 tItemResource$Factory";uses:="com.liferay.headless.commerce.admin.inv
 entory.resource.v1_0",osgi.service;objectClass:List<String>="com.life
 ray.headless.commerce.admin.inventory.resource.v1_0.WarehouseChannelR
 esource$Factory";uses:="com.liferay.headless.commerce.admin.inventory
 .resource.v1_0",osgi.service;objectClass:List<String>="com.liferay.he
 adless.commerce.admin.inventory.resource.v1_0.WarehouseChannelResourc
 e,com.liferay.portal.vulcan.fields.NestedFieldSupport";uses:="com.lif
 eray.headless.commerce.admin.inventory.resource.v1_0,com.liferay.port
 al.vulcan.fields",osgi.service;objectClass:List<String>="com.liferay.
 headless.commerce.admin.inventory.resource.v1_0.WarehouseItemResource
 $Factory";uses:="com.liferay.headless.commerce.admin.inventory.resour
 ce.v1_0",osgi.service;objectClass:List<String>="com.liferay.headless.
 commerce.admin.inventory.resource.v1_0.WarehouseItemResource,com.life
 ray.portal.vulcan.fields.NestedFieldSupport";uses:="com.liferay.headl
 ess.commerce.admin.inventory.resource.v1_0,com.liferay.portal.vulcan.
 fields",osgi.service;objectClass:List<String>="com.liferay.headless.c
 ommerce.admin.inventory.resource.v1_0.WarehouseOrderTypeResource$Fact
 ory";uses:="com.liferay.headless.commerce.admin.inventory.resource.v1
 _0",osgi.service;objectClass:List<String>="com.liferay.headless.comme
 rce.admin.inventory.resource.v1_0.WarehouseOrderTypeResource,com.life
 ray.portal.vulcan.fields.NestedFieldSupport";uses:="com.liferay.headl
 ess.commerce.admin.inventory.resource.v1_0,com.liferay.portal.vulcan.
 fields",osgi.service;objectClass:List<String>="com.liferay.headless.c
 ommerce.admin.inventory.resource.v1_0.WarehouseResource";uses:="com.l
 iferay.headless.commerce.admin.inventory.resource.v1_0",osgi.service;
 objectClass:List<String>="com.liferay.headless.commerce.admin.invento
 ry.resource.v1_0.WarehouseResource$Factory";uses:="com.liferay.headle
 ss.commerce.admin.inventory.resource.v1_0",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.vulcan.graphql.servlet.ServletData";u
 ses:="com.liferay.portal.vulcan.graphql.servlet",osgi.service;objectC
 lass:List<String>="javax.ws.rs.core.Application";uses:="javax.ws.rs.c
 ore",osgi.service;objectClass:List<String>="javax.ws.rs.ext.Exception
 Mapper";uses:="javax.ws.rs.ext",osgi.service;objectClass:List<String>
 ="com.liferay.portal.profile.PortalProfile";uses:="com.liferay.portal
 .profile"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.com
 merce.inventory.service.CommerceInventoryReplenishmentItemService)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.comme
 rce.inventory.service.CommerceInventoryWarehouseItemService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.commerce.in
 ventory.service.CommerceInventoryWarehouseRelService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.commerce.inventory
 .service.CommerceInventoryWarehouseService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.commerce.product.service.Com
 merceChannelRelService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.commerce.product.service.CommerceChannelService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.co
 mmerce.service.CommerceOrderTypeService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.headless.commerce.admin.invento
 ry.internal.dto.v1_0.ChannelDTOConverter)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.headless.commerce.admin.invent
 ory.internal.dto.v1_0.OrderTypeDTOConverter)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.headless.commerce.admin.inv
 entory.internal.dto.v1_0.ReplenishmentItemDTOConverter)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.headless.commerc
 e.admin.inventory.internal.dto.v1_0.WarehouseChannelDTOConverter)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.headle
 ss.commerce.admin.inventory.internal.dto.v1_0.WarehouseDTOConverter)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.hea
 dless.commerce.admin.inventory.internal.dto.v1_0.WarehouseItemDTOConv
 erter)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.headless.commerce.admin.inventory.internal.dto.v1_0.WarehouseOrde
 rTypeDTOConverter)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.headless.commerce.admin.inventory.resource.v1_0.Chann
 elResource)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.headless.commerce.admin.inventory.resource.v1_0.OrderTypeRes
 ource)";effective:=active,osgi.service;filter:="(objectClass=com.life
 ray.headless.commerce.admin.inventory.resource.v1_0.ReplenishmentItem
 Resource)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.headless.commerce.admin.inventory.resource.v1_0.WarehouseChann
 elResource)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.headless.commerce.admin.inventory.resource.v1_0.WarehouseIte
 mResource)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.headless.commerce.admin.inventory.resource.v1_0.WarehouseOrde
 rTypeResource)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.headless.commerce.admin.inventory.resource.v1_0.Warehouse
 Resource)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.headless.commerce.core.util.ServiceContextHelper)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.s
 ecurity.permission.PermissionCheckerFactory)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.kernel.security.perm
 ission.resource.ModelResourcePermission)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.CompanyLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.GroupLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 ResourceActionLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.kernel.service.ResourcePermissionLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.RoleLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.portal.kernel.service.Use
 rLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.odata.filter.ExpressionConvert)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.portal.odata.filter.F
 ilterParserProvider)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.vulcan.dto.converter.DTOConverterRegistry)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.vulcan.resource.OpenAPIResource)";effective:=active,osgi.extender;
 filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=
 2.0.0)))",osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.co
 ntract=JavaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=Java
 SE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.headless.commerce.admin.invent
 ory.internal.dto.v1_0.ChannelDTOConverter.xml,OSGI-INF/com.liferay.he
 adless.commerce.admin.inventory.internal.dto.v1_0.OrderTypeDTOConvert
 er.xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.interna
 l.dto.v1_0.ReplenishmentItemDTOConverter.xml,OSGI-INF/com.liferay.hea
 dless.commerce.admin.inventory.internal.dto.v1_0.WarehouseChannelDTOC
 onverter.xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.i
 nternal.dto.v1_0.WarehouseDTOConverter.xml,OSGI-INF/com.liferay.headl
 ess.commerce.admin.inventory.internal.dto.v1_0.WarehouseItemDTOConver
 ter.xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.intern
 al.dto.v1_0.WarehouseOrderTypeDTOConverter.xml,OSGI-INF/com.liferay.h
 eadless.commerce.admin.inventory.internal.graphql.servlet.v1_0.Servle
 tDataImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.
 internal.jaxrs.application.HeadlessCommerceAdminInventoryApplication.
 xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.internal.j
 axrs.exception.mapper.CommerceInventoryReplenishmentQuantityException
 Mapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.int
 ernal.jaxrs.exception.mapper.DuplicateCommerceInventoryReplenishmentI
 temExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.i
 nventory.internal.jaxrs.exception.mapper.DuplicateInventoryWarehouseI
 temExceptionMapper.xml,OSGI-INF/com.liferay.headless.commerce.admin.i
 nventory.internal.jaxrs.exception.mapper.InvalidFilterExceptionMapper
 .xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.internal.
 jaxrs.exception.mapper.InventoryInvalidDateExceptionMapper.xml,OSGI-I
 NF/com.liferay.headless.commerce.admin.inventory.internal.jaxrs.excep
 tion.mapper.NoSuchChannelRelExceptionMapper.xml,OSGI-INF/com.liferay.
 headless.commerce.admin.inventory.internal.jaxrs.exception.mapper.NoS
 uchInventoryReplenishmentItemExceptionMapper.xml,OSGI-INF/com.liferay
 .headless.commerce.admin.inventory.internal.jaxrs.exception.mapper.No
 SuchInventoryWarehouseExceptionMapper.xml,OSGI-INF/com.liferay.headle
 ss.commerce.admin.inventory.internal.jaxrs.exception.mapper.NoSuchInv
 entoryWarehouseItemExceptionMapper.xml,OSGI-INF/com.liferay.headless.
 commerce.admin.inventory.internal.jaxrs.exception.mapper.NoSuchInvent
 oryWarehouseRelExceptionMapper.xml,OSGI-INF/com.liferay.headless.comm
 erce.admin.inventory.internal.resource.v1_0.ChannelResourceImpl.xml,O
 SGI-INF/com.liferay.headless.commerce.admin.inventory.internal.resour
 ce.v1_0.OpenAPIResourceImpl.xml,OSGI-INF/com.liferay.headless.commerc
 e.admin.inventory.internal.resource.v1_0.OrderTypeResourceImpl.xml,OS
 GI-INF/com.liferay.headless.commerce.admin.inventory.internal.resourc
 e.v1_0.ReplenishmentItemResourceImpl.xml,OSGI-INF/com.liferay.headles
 s.commerce.admin.inventory.internal.resource.v1_0.WarehouseChannelRes
 ourceImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.
 internal.resource.v1_0.WarehouseItemResourceImpl.xml,OSGI-INF/com.lif
 eray.headless.commerce.admin.inventory.internal.resource.v1_0.Warehou
 seOrderTypeResourceImpl.xml,OSGI-INF/com.liferay.headless.commerce.ad
 min.inventory.internal.resource.v1_0.WarehouseResourceImpl.xml,OSGI-I
 NF/com.liferay.headless.commerce.admin.inventory.internal.resource.v1
 _0.factory.ChannelResourceFactoryImpl.xml,OSGI-INF/com.liferay.headle
 ss.commerce.admin.inventory.internal.resource.v1_0.factory.OrderTypeR
 esourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.i
 nventory.internal.resource.v1_0.factory.ReplenishmentItemResourceFact
 oryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin.inventory.in
 ternal.resource.v1_0.factory.WarehouseChannelResourceFactoryImpl.xml,
 OSGI-INF/com.liferay.headless.commerce.admin.inventory.internal.resou
 rce.v1_0.factory.WarehouseItemResourceFactoryImpl.xml,OSGI-INF/com.li
 feray.headless.commerce.admin.inventory.internal.resource.v1_0.factor
 y.WarehouseOrderTypeResourceFactoryImpl.xml,OSGI-INF/com.liferay.head
 less.commerce.admin.inventory.internal.resource.v1_0.factory.Warehous
 eResourceFactoryImpl.xml,OSGI-INF/com.liferay.headless.commerce.admin
 .inventory.impl.internal.portal.profile.ModulePortalProfile.xml
Tool: Bnd-4.3.0.201909301554

